#### D.6.23.3 signatureNemethi

Procedure from library `surfacesignature.lib` (see surfacesignature_lib).

Usage:
  signatureNemethi(N,f); N = integer, f = reduced poly in 2 variables, # empty or 1,2,3
  - if #[1] = 1 then resolution of singularity is used
  - if #[1] = 2 then spectral pairs are used
  - if # is empty then both upper variants are used in parallel and the
  fastest returns the result

Return:
  signature of surface singularity defined by z^N + f(x,y) = 0

Remark:
  computes the signature of some special surface singularities

Example:

    LIB "surfacesignature.lib";
    ring r = 0,(x,y),dp;
    int N  = 3;
    poly f = x15-21x14+8x13y-6x13-16x12y+20x11y2-x12+8x11y-36x10y2
    +24x9y3+4x9y2-16x8y3+26x7y4-6x6y4+8x5y5+4x3y6-y8;
    signatureNemethi(N,f,1);
    ==> -92
    printlevel = 1;
    signatureNemethi(N,f);
    ==> Resolution of singularity has been used.
    ==> -92

User manual for Singular version 4.4.1, 2025, generated by texi2html.